clear
clf

load ambient_ccn.mat

%% Trim the data

% NaN the first several values

first_nan = 8;
time(1:first_nan) = NaN;
ssa(1:first_nan) = NaN;
ssb(1:first_nan) = NaN;
ccna(1:first_nan) = NaN;
ccnb(1:first_nan) = NaN;

% NaN the zero values
time(ssb==0) = NaN;
ssa(ssb==0) = NaN;
ccna(ssb==0) = NaN;
ccnb(ssb==0) = NaN;
ssb(ssb==0) = NaN;


% Remove the first several NaN's and any zeros
time = time(~isnan(time));
ssa = ssa(~isnan(ssa));
ssb = ssb(~isnan(ssb));
ccna = ccna(~isnan(ccna));
ccnb = ccnb(~isnan(ccnb));

% Find the steps in ssb (add 1 to include the 0th step)
di = vertcat(1,find(diff(ssb)~=0));

% NaN the first 180 seconds after a step
for i = 1:length(di)
    time(di(i):di(i)+179) = NaN;
    ssa(di(i):di(i)+179) = NaN;
    ssb(di(i):di(i)+179) = NaN;
    ccna(di(i):di(i)+179) = NaN;
    ccnb(di(i):di(i)+179) = NaN;
end

% % Remove all the NaN's
time = time(~isnan(time));
ssa = ssa(~isnan(ssa));
ssb = ssb(~isnan(ssb));
ccna = ccna(~isnan(ccna));
ccnb = ccnb(~isnan(ccnb));

% Find the steps in ssb from 0.5 to 0.1
di = find(vertcat(1,diff(ssb)==-0.4));

% For each of the scans
for i = 1:length(di)-1
    % scan_range has the index values of all the times, ss's and conc's for
    % a given scan
    scan_range = di(i):di(i+1)-1;
    
    % You can plot these, or do whatever else you need to given this range,
    % i.e. you should find the critical supersaturation each time this loop
    % runs and assign it to the time time(di(i)).
    plot(scan_range,ccnb(scan_range)./max(ccnb(scan_range)),'.')
    title(i)
    keyboard
end