clear
close all

% List the csv files to import **** SPECIFY THE FOLDER NAME HERE ****
folder_name = 'OPS_data';
dat_fol = dir([folder_name filesep '*.csv']);

% Initialize imported variables
time = [];
OPS_median = [];
OPS_mean = [];
OPS_geomean = [];
OPS_geostdev = [];
OPS_totalconccm = [];
bins = [];

% Loop over all csv files in the specified location
for i = 1:length(dat_fol)
    % Import data from a given file
    [Date,StartTime,Median,Mean,GeoMean,GeoStDev,TotalConccm,...
        MidpointDiameter,Bins] = importOPS_nori([folder_name filesep dat_fol(i).name]);
    
    % Initialize datenum variable for given file
    Time_dnum = zeros(size(StartTime));
    
    % Populate the datenum variable
    for j = 1:length(StartTime)
        y = 2014;
        m = 11;
        d = str2double(Date{j}(4:5));
        h = str2double(StartTime{j}(1:2));
        mn = str2double(StartTime{j}(4:5));
        s = str2double(StartTime{j}(7:8));
        
        Time_dnum(j) = datenum(y,m,d,h,mn,s);
    end
    
    % Concatenate current file's data to existing data
    time = vertcat(time,Time_dnum);
    OPS_median = vertcat(OPS_median,Median);
    OPS_mean = vertcat(OPS_mean,Mean);
    OPS_geomean = vertcat(OPS_geomean,GeoMean);
    OPS_geostdev = vertcat(OPS_geostdev,GeoStDev);
    OPS_totalconccm = vertcat(OPS_totalconccm,TotalConccm);
    bins = vertcat(bins,Bins);
    mpd = MidpointDiameter;
end