function [Date,StartTime,Median,Mean,GeoMean,GeoStDev,TotalConccm,MidpointDiameter,Bins] = importOPS_nori(filename)
%IMPORTFILE Import numeric data from a text file as column vectors.

% Auto-generated by MATLAB on 2014/11/29 15:51:39

%% Initialize variables.
delimiter = ',';
startRow = 15;
endRow = inf;


%% Format string for each line of text:
%   column1: text (%s)
% column2: text (%s)
%   column3: text (%s)
% column4: text (%s)
%   column5: text (%s)
% column6: text (%s)
%   column7: text (%s)
% column8: text (%s)
%   column9: text (%s)
% column10: text (%s)
%   column11: text (%s)
% column12: text (%s)
%   column13: text (%s)
% column14: text (%s)
%   column15: text (%s)
% column16: text (%s)
%   column17: text (%s)
% column18: double (%f)
%   column19: double (%f)
% column20: double (%f)
%   column21: double (%f)
% column22: double (%f)
%   column23: double (%f)
% column24: double (%f)
%   column25: double (%f)
% column26: double (%f)
%   column27: double (%f)
% column28: double (%f)
%   column29: double (%f)
% column30: double (%f)
%   column31: double (%f)
% column32: double (%f)
%   column33: double (%f)
% For more information, see the TEXTSCAN documentation.
formatSpec = '%f%s%s%f%f%f%s%s%f%f%f%f%f%f%f%f%f%f%f%f%f%f%f%f%f%f%f%f%f%f%f%f%f%*s%[^\n\r]';

%% Open the text file.
fileID = fopen(filename,'r');

%% Read columns of data according to format string.
% This call is based on the structure of the file used to generate this
% code. If an error occurs for a different file, try regenerating the code
% from the Import Tool.
textscan(fileID, '%[^\n\r]', startRow(1)-1, 'ReturnOnError', false);
dataArray = textscan(fileID, formatSpec, endRow(1)-startRow(1)+1, 'Delimiter', delimiter, 'ReturnOnError', false);
for block=2:length(startRow)
    frewind(fileID);
    textscan(fileID, '%[^\n\r]', startRow(block)-1, 'ReturnOnError', false);
    dataArrayBlock = textscan(fileID, formatSpec, endRow(block)-startRow(block)+1, 'Delimiter', delimiter, 'ReturnOnError', false);
    for col=1:length(dataArray)
        dataArray{col} = [dataArray{col};dataArrayBlock{col}];
    end
end

%% Close the text file.
fclose(fileID);

%% Post processing for unimportable data.
% No unimportable data rules were applied during the import, so no post
% processing code is included. To generate code which works for
% unimportable data, select unimportable cells in a file and regenerate the
% script.

%% Allocate imported array to column variable names

Date = dataArray{:, 2};
StartTime = dataArray{:, 3};
Median = dataArray{:, 11};
Mean = dataArray{:, 12};
GeoMean = dataArray{:, 13};
GeoStDev = dataArray{:, 15};
TotalConccm = dataArray{:, 16};
MidpointDiameter = [0.337 0.419 0.522 0.65 0.809 1.007 1.254 1.562...
    1.944 2.421 3.014 3.752 4.672 5.816 7.242 9.016];
Bin1 = dataArray{:, 18};
Bin2 = dataArray{:, 19};
Bin3 = dataArray{:, 20};
Bin4 = dataArray{:, 21};
Bin5 = dataArray{:, 22};
Bin6 = dataArray{:, 23};
Bin7 = dataArray{:, 24};
Bin8 = dataArray{:, 25};
Bin9 = dataArray{:, 26};
Bin10 = dataArray{:, 27};
Bin11 = dataArray{:, 28};
Bin12 = dataArray{:, 29};
Bin13 = dataArray{:, 30};
Bin14 = dataArray{:, 31};
Bin15 = dataArray{:, 32};
Bin16 = dataArray{:, 33};
Bins = zeros(length(Bin1),16);
for i = 1:16
    Bins(:,i) = eval(['Bin' num2str(i)]);
end
